> For the complete documentation index, see [llms.txt](https://docs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akinon.com/technical-guides/project-zero/next.js/plugins/akinon-next/data-fetching/client/user.md).

# User

### useGetCaptchaQuery <a href="#usegetcaptchaquery" id="usegetcaptchaquery"></a>

To use this function, the **useCaptcha** function from **@akinon/next/hooks** needs to be imported.

```javascript
import { useCaptcha } from '@akinon/next/hooks';
```

The **useCaptcha** function provides the following variables:

* **view**
* **validated**
* **isVisible**
* **validate**

These variables and the view for Captcha is obtained by using the **useCaptcha()** function, and then the variables are defined as shown below:

```javascript
const {
	CaptchaView,
	validated: captchaValidated,
	isVisible: isCaptchaVisible,
	validate: validateCaptcha
} = useCaptcha();
```

The view obtained from the Captcha can be placed where you want as `<CaptchaView data-testid="login-captcha" />`.

The **isCaptchaVisible** variable is used to show or hide the captcha. When using this variable, it should be checked whether the captcha is validated with **!captchaValidated** before use.

```javascript
{isCaptchaVisible && !captchaValidated}
```

Data returned from function:

```json
{
	CaptchaView: async ()=> {
		length: 1,
		name: "View",
	},
  validated: false,
  isVisible: false,
  validate: async ()=> {
    length: 0
		name: "validate"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akinon.com/technical-guides/project-zero/next.js/plugins/akinon-next/data-fetching/client/user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
